### File

`packages/eui/packages/components-next/src/lib/layout/eui-app/eui-app-sidebar/sidebar-header-user-profile/sidebar-header-user-profile.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-app-sidebar-header-user-profile`
styleUrls | `./_styles/_index.scss`
templateUrl | `./sidebar-header-user-profile.component.html`

### Index

###### Properties
Public asServie Public toggleProfile
###### Methods
getCssClasses onProfileClick
###### Inputs
impersonateLabel isOnline welcomeLabel
###### Outputs
toggle
###### HostBindings
class

### Constructor

`constructor(asServie: UxAppShellService)`
Parameters :
Name | Type | Optional
asServie | `UxAppShellService` | No

### Inputs

impersonateLabel
Default value : `''`

isOnline
Default value : `true`

welcomeLabel
Default value : `''`

### Outputs

toggle
Type : `EventEmitter<any>`

### HostBindings

class
Type : `any`

### Methods

getCssClasses
`getCssClasses()`
Returns : `any`

onProfileClick
`onProfileClick(event: any)`
Parameters :
Name | Type | Optional
event | `any` | No
Returns : `void`

### Properties

Public asServie
Type : `UxAppShellService`

Public toggleProfile
Default value : `false`

# result-matching ""

# No results matching ""